org.eclipse.wst.jsdt.ui.actions

## Class GenerateActionGroup

- java.lang.Object
- - ActionGroup
  - - org.eclipse.wst.jsdt.ui.actions.GenerateActionGroup

    public class GenerateActionGroup
    extends ActionGroup

Action group that adds the source and generate actions to a part's context menu and installs handlers for the corresponding global menu actions.

This class may be instantiated; it is not intended to be subclassed.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `GROUP_CODE` Pop-up menu: id of the code group of the source sub menu (value `codeGroup`).
`static java.lang.String` `GROUP_GENERATE` Pop-up menu: id of the generate group of the source sub menu (value `generateGroup`).
`static java.lang.String` `GROUP_IMPORT` Pop-up menu: id of the import group of the source sub menu (value `importGroup`).
`static java.lang.String` `MENU_ID` Pop-up menu: id of the source sub menu (value `org.eclipse.wst.jsdt.ui.source.menu`).

### Constructor Summary

Constructors
Constructor and Description
`GenerateActionGroup(org.eclipse.wst.jsdt.internal.ui.javaeditor.CompilationUnitEditor editor, java.lang.String groupName)` Note: This constructor is for internal use only.
`GenerateActionGroup(IViewPart part)` Creates a new `GenerateActionGroup`.
`GenerateActionGroup(Page page)` Creates a new `GenerateActionGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `editorStateChanged()` Note: This method is for internal use only.
`void` `fillActionBars(IActionBars actionBar)`
`void` `fillContextMenu(IMenuManager menu)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MENU_ID

    public static final java.lang.String MENU_ID

Pop-up menu: id of the source sub menu (value `org.eclipse.wst.jsdt.ui.source.menu`).

See Also:
  Constant Field Values

#### GROUP_IMPORT

    public static final java.lang.String GROUP_IMPORT

Pop-up menu: id of the import group of the source sub menu (value `importGroup`).

See Also:
  Constant Field Values

#### GROUP_GENERATE

    public static final java.lang.String GROUP_GENERATE

Pop-up menu: id of the generate group of the source sub menu (value `generateGroup`).

See Also:
  Constant Field Values

#### GROUP_CODE

    public static final java.lang.String GROUP_CODE

Pop-up menu: id of the code group of the source sub menu (value `codeGroup`).

See Also:
  Constant Field Values

### Constructor Detail

#### GenerateActionGroup

    public GenerateActionGroup(org.eclipse.wst.jsdt.internal.ui.javaeditor.CompilationUnitEditor editor,
                               java.lang.String groupName)

Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the compilation unit editor
  `groupName` - the group name to add the action to

#### GenerateActionGroup

    public GenerateActionGroup(Page page)

Creates a new `GenerateActionGroup`. The group requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

#### GenerateActionGroup

    public GenerateActionGroup(IViewPart part)

Creates a new `GenerateActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### Method Detail

#### editorStateChanged

    public void editorStateChanged()

Note: This method is for internal use only. Clients should not call this method.

#### fillActionBars

    public void fillActionBars(IActionBars actionBar)

#### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

#### dispose

    public void dispose()